<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<body>

<th:block th:fragment="item(category, skills, quizResults)">
    <div th:with="categorySkills=${skills.get(category)}">
        <ul class="skillBox" th:classappend="${category.toString().toLowerCase()}">
            <div class="row profileCategoryName">
                <th:block th:text="#{${'category.' + category.name().toLowerCase()}}"/>
            </div>
            <th:block th:each="skill, i: ${categorySkills}">

                <li class="profileSkill">
                    <div class="row">
                        <div class="col-xs-9 skillName">
                            <a th:href="${'/academy/course/' + skill.id + '/quizz'}"
                               th:text="#{${'skill.' + skill.code.toLowerCase()}}"></a>
                        </div>

                        <div th:with="result=${quizResults.get(skill.id)}">
                            <div th:if="${result != null}" class="col-xs-3" th:classappend="${result >= 60 ? 'passed' : 'notPassed'}">
                                <th:block th:text="${result + '%'}"/>
                            </div>
                            <div th:unless="${result != null}" class="col-xs-3">
                                <th:block th:text="${'-'}"/>
                            </div>
                        </div>
                    </div>
                </li>
            </th:block>
        </ul>
    </div>
</th:block>

</body>
</html>